| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::NumericSolver Class Reference
Core » Math

Provides numeric solvers for Ogre. More...

`#include <OgreNumerics.h>`

## Static Public Member Functions
static bool | solveNxNLinearSysDestr (int n, PreciseReal **coeff, PreciseReal *col)
| Solves a full rank NxN linear system of equations. More...

## Detailed Description

Provides numeric solvers for Ogre.

Remarks
  Handles linear algebra numerics.

## Member Function Documentation

## ◆ solveNxNLinearSysDestr()

static bool Ogre::NumericSolver::solveNxNLinearSysDestr | ( | int | n,
|  | PreciseReal ** | coeff,
|  | PreciseReal * | col
| ) |  |
| static

Solves a full rank NxN linear system of equations.

Remarks
  This implements a naive Gaussian elimination algorithm. The algorithm is destructive, so there are side effects in coeff and col.

The documentation for this class was generated from the following file:

- OgreNumerics.h